package client.brickblock.fwimpl;

import client.framework.network.parser.Action;

/**
 * An extension of the <code>Action</code> class, that contain the
 * actions specific for the BrickBlock implementation of the framework.
 *
 * These actions are concerned with the force functionality, adding of
 * a trap, and support for power up objects.
 *
 * @author Eivind Sorteberg
 * @author Martin Jarrett
 * @version 2.0
 */
public class BBAction extends Action {
    //Action for pushing other players
    public static final BBAction FORCE = new BBAction("FRC");
    
    public static final BBAction POWERUP_ADDED = new BBAction("PUA");
    public static final BBAction POWERUP_REMOVED = new BBAction("PUR");
    public static final BBAction POWERUP_INACTIVE = new BBAction("PIN");
    public static final BBAction TRAP_ADDED = new BBAction("TRA");

    /**
     * Creates an <code>BBAction</code> object by using the
     * super class' constructor.
     *
     * @param name The three letter action name.
     */
    private BBAction(String name) {
        super(name);
    }
}
