package client.brickblock.objects;

import javax.microedition.lcdui.game.Sprite;
import javax.microedition.lcdui.Image;
import java.io.IOException;

/**
 * The <code>Trap</code> object displayed on the game
 * board that the users lose points if they hit.
 * This class extends the <code>Sprite</code> class
 * so that it can be placed directly on the
 * <code>BBBoard</code> by the <code>LayerManager</code>.
 *
 * @version 1.0
 * @author Martin Jarrett
 * @author Eivind Sorteberg
 */
public class Trap extends Sprite {
    /**
     * Creates a <code>Trap</code> instance by loading
     * its image.
     *
     * @param x The trap's x position
     * @param y The trap's y position
     * @throws IOException If the image file is not found.
     */
    public Trap(int x, int y) throws IOException {
        super(Image.createImage("/client/brickblock/objects/hole.png"));
        this.setPosition(x, y);
    }
}
